#
# spec file for package hut
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           hut
Version:        0.2.0
Release:        bp156.2.3
Summary:        A CLI tool for sr.ht
License:        AGPL-3.0-or-later
Group:          Development/Tools/Navigators
URL:            https://sr.ht/~emersion/hut
Source0:        https://git.sr.ht/~emersion/hut/archive/v%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  go1.17
BuildRequires:  scdoc

%description
hut is a CLI companion utility to interact with sr.ht.

%package bash-completion
Summary:        Bash Completion for %{name}
Group:          System/Shells
Requires:       bash-completion
Supplements:    (%{name} and bash-completion)
BuildArch:      noarch

%description bash-completion
The official bash completion script for hut.

%package fish-completion
Summary:        Fish Completion for %{name}
Group:          System/Shells
Requires:       fish
Supplements:    (%{name} and fish)
BuildArch:      noarch

%description fish-completion
The official fish completion script for hut.

%package zsh-completion
Summary:        ZSH Completion for %{name}
Group:          System/Shells
Requires:       zsh
Supplements:    (%{name} and zsh)
BuildArch:      noarch

%description zsh-completion
The official zsh completion script for hut.

%prep
%setup -q -n %{name}-v%{version}
%setup -q -D -T -a 1 -n %{name}-v%{version}

%build
make GOFLAGS='-mod=vendor -buildmode=pie -ldflags=-s'

%install
%make_install PREFIX=%{_prefix}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%_mandir/man1/%{name}.1%{?ext_man}

%files bash-completion
%{_datadir}/bash-completion

%files fish-completion
%{_datadir}/fish

%files zsh-completion
%{_datadir}/zsh

%changelog
* Sun Aug 14 2022 Jan-Luca Kiok <me@jlk.one>
- Correct bash completion package Supplements
- Specify shell completion package group
* Thu Jul 28 2022 Jan-Luca Kiok <me@jlk.one>
- Update to version 0.2.0
  * Add various user-webhooks
  * Add various tracker webhooks
  * Add ticket webhooks
  * Add various create and delete actions
  * Implement user-webhook ID completions
  * Fix broken endpoints
  * Add missing completions
  * Improve output of list commands
  * Update outdated schemas
  * export: new subcommand
  * lists patchset show: new subcommand
  * builds: Improve secret list output
* Sun Apr 17 2022 Jan-Luca Kiok <me@jlk.one>
- Update to version 0.1.0
  * First public release
  * Every major action across public services supported
* Sat Apr  9 2022 Jan-Luca Kiok <me@jlk.one>
- Use direct shell commands instead of indirect macros within the
  specfile
* Thu Apr  7 2022 Jan-Luca Kiok <me@jlk.one>
- Format spec file via osc service
* Tue Mar  8 2022 Jan-Luca Kiok <me@jlk.one>
- Update to latest master (Commit 70566f2)
- Rename release to 0 for now
* Mon Feb 28 2022 Jan-Luca Kiok <me@jlk.one>
- Update to latest master (Commit b12d9554)
- Package shell completions in own packages
- Use macro for make
- Do not hardcode prefix
* Sat Jan 15 2022 JL K <me@jlk.one>
- Bump to go version 1.17 only
* Sat Jan 15 2022 JL K <me@jlk.one>
- Init
